server:
  port: 8899

spring:
  application:
    name: zgwl-end
  profiles:
    active: ${SPRING_PROFILES_ACTIVE:dev}
  servlet:
    multipart:
      max-file-size: 20MB
      max-request-size: 20MB

mybatis-plus:
  mapper-locations: classpath*:mapper/**/*.xml
  type-aliases-package: com.nbport.zgwl.entity,com.nbport.zgwl.partner.domain,com.nbport.zgwl.manifest.domain
  configuration:
    jdbc-type-for-null: 'NULL'
    map-underscore-to-camel-case: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  global-config:
    banner: false

springdoc:
  swagger-ui:
    path: /swagger-ui.html
  api-docs:
    path: /v3/api-docs

file:
  local:
    path: ${user.dir}/upload-files

seal:
  appKey: A7C4FD32BE454B5
  appSecret: 6c74358c28c149f18242bd614a101910
  baseUrl: https://saasapi.certca.cn

logging:
  level:
    com.nbport.zgwl.mapper: debug
